<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="xdb\**" />
    <EmbeddedResource Remove="xdb\**" />
    <None Remove="xdb\**" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="dodohold.core" Version="1.0.1.14" />
    <PackageReference Include="FakeUserAgent" Version="1.0.2" />
    <PackageReference Include="IP2Region.Net" Version="2.0.2" />
    <PackageReference Include="Microsoft.Extensions.DependencyInjection.Abstractions" Version="8.0.0" />
    <PackageReference Include="Swashbuckle.AspNetCore.SwaggerGen" Version="6.5.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\taobao-sdk-netcore-auto_1719572210878-20240628-source\topsdk-netcore.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Plus\CPS\" />
  </ItemGroup>

</Project>
